View Issue Details

IDProjectCategoryView StatusLast Update
0002737FreeCADBugpublic2016-10-16 16:09
ReportermikehAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86-64OSWindowsOS Version10
Product Version0.16 
Target VersionFixed in Version0.17 
Summary0002737: Importing LibreOffice generated .xlsx spreadsheeds are always empty
DescriptionWhen importing a spreadsheet that was generated with LibreOffice Calc (both version 4 or 5, actual tested version that generated the attached test file: 5.1.5.2) and saved as "Microsoft Excel 2007-2013 XML (.xlsx)" document, FreeCad generates only an empty spreadsheet. No errors are reported, neither in the Python console, the Report view or the FreeCAD.log file.

Tested both in FreeCAD 0.16.6706 and 0.17.8676 dev.
Steps To Reproduce- Create a new FreeCAD project
- Go to the "Spreadsheet" workbench
- Import a spreadsheet in Excel format written by LibreOffice Calc (see the attached file test.xlsx)
- Open the newly generated spreadsheed

Expected result: The spreadsheet contains the information from the Excel file (two cells filled in, one with the string "test", the other with the number "100")

Actual result: The spreadsheet is empty.
Additional InformationOS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6706 (Git)
Build type: Release
Branch: releases/FreeCAD-0-16
Hash: f86a4e411ff7848dea98d7242f43b7774bee8fa0
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
TagsNo tags attached.

Activities

mikeh

2016-10-14 12:24

reporter  

test.xlsx (Attachment missing)

wmayer

2016-10-15 18:15

administrator   ~0007363

When looking at the tooltip of the import function then it says: Import CSV file into spreadsheet
Why do you assume that xlsx or any other format is allowed/supported?

mikeh

2016-10-15 18:28

reporter   ~0007364

Last edited: 2016-10-15 18:42

View 2 revisions

The documentation at http://www.freecadweb.org/wiki/index.php?title=Spreadsheet_Workbench says:

"Spreadsheets in Excel-format "xlsx" can be imported into a FreeCAD document. Excel-spreadsheets can also be opened by FreeCAD."

Edit: I just tried to *open* an Excel spreadsheet in 0.17 - that does indeed work. But *importing* does not work and generates an empty spreadsheet. As a workaround I can open the spreadsheet and copy/paste it to the project I want to import it into.

wmayer

2016-10-16 16:09

administrator   ~0007388

In the 0.17 version there is a Python script importXLSX.py which does the loading of the Excel file. The script provides the methods "open" which is used for File > Open and "insert" which is used for File > Import.

For me both ways work without problems.

Issue History

Date Modified Username Field Change
2016-10-14 12:24 mikeh New Issue
2016-10-14 12:24 mikeh File Added: test.xlsx
2016-10-15 18:15 wmayer Note Added: 0007363
2016-10-15 18:28 mikeh Note Added: 0007364
2016-10-15 18:42 mikeh Note Edited: 0007364 View Revisions
2016-10-16 16:09 wmayer Note Added: 0007388
2016-10-16 16:09 wmayer Status new => closed
2016-10-16 16:09 wmayer Resolution open => fixed
2016-10-16 16:09 wmayer Fixed in Version => 0.17